<?php


namespace App\Entities\Pet;

use App\Utils\Entity;

class Pet extends Entity
{
    protected $id;
    protected $data_nascimento;
    protected $id_raca;
    protected $cor;
    protected $id_pet_status;
    protected $sexo;
    protected $castrado;
    protected $numero_chip;
    protected $rga_pedigree;
    protected $doado;
    protected $nome;
    protected $porte;
    protected $observacoes;
    protected $peso;

    public static function builder() : PetBuilder
    {
        $assistente_builder = new PetBuilder();
        return $assistente_builder;
    }

    /**
     * @return mixed
     */
    public function getNome()
    {
        return $this->nome;
    }

    /**
     * @param mixed $nome
     */
    public function setNome($nome): void
    {
        $this->nome = $nome;
    }

    /**
     * @return mixed
     */
    public function getPorte()
    {
        return $this->porte;
    }

    /**
     * @param mixed $porte
     */
    public function setPorte($porte): void
    {
        $this->porte = $porte;
    }
    
    public function getPeso()
    {
        return $this->peso;
    }
    
    public function setPeso($peso): void
    {
        $this->peso = $peso;
    }

    /**
     * @return mixed
     */
    public function getObservacoes()
    {
        return $this->observacoes;
    }

    /**
     * @param mixed $observacoes
     */
    public function setObservacoes($observacoes): void
    {
        $this->observacoes = $observacoes;
    }

    /**
     * @return mixed
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param mixed $id
     */
    public function setId($id): void
    {
        $this->id = $id;
    }

    /**
     * @return mixed
     */
    public function getDataNascimento()
    {
        return $this->data_nascimento;
    }

    /**
     * @param mixed $data_nascimento
     */
    public function setDataNascimento($data_nascimento): void
    {
        $this->data_nascimento = $data_nascimento;
    }

    /**
     * @return mixed
     */
    public function getIdRaca()
    {
        return $this->id_raca;
    }

    /**
     * @param mixed $id_raca
     */
    public function setIdRaca($id_raca): void
    {
        $this->id_raca = $id_raca;
    }

    /**
     * @return mixed
     */
    public function getCor()
    {
        return $this->cor;
    }

    /**
     * @param mixed $cor
     */
    public function setCor($cor): void
    {
        $this->cor = $cor;
    }

    /**
     * @return mixed
     */
    public function getIdPetStatus()
    {
        return $this->id_pet_status;
    }

    /**
     * @param mixed $id_pet_status
     */
    public function setIdPetStatus($id_pet_status): void
    {
        $this->id_pet_status = $id_pet_status;
    }

    /**
     * @return mixed
     */
    public function getSexo()
    {
        return $this->sexo;
    }

    /**
     * @param mixed $sexo
     */
    public function setSexo($sexo): void
    {
        $this->sexo = $sexo;
    }

    /**
     * @return mixed
     */
    public function getCastrado()
    {
        return $this->castrado;
    }

    /**
     * @param mixed $castrado
     */
    public function setCastrado($castrado): void
    {
        $this->castrado = $castrado;
    }

    /**
     * @return mixed
     */
    public function getNumeroChip()
    {
        return $this->numero_chip;
    }

    /**
     * @param mixed $numero_chip
     */
    public function setNumeroChip($numero_chip): void
    {
        $this->numero_chip = $numero_chip;
    }

    /**
     * @return mixed
     */
    public function getRgaPedigree()
    {
        return $this->rga_pedigree;
    }

    /**
     * @param mixed $rga_pedigree
     */
    public function setRgaPedigree($rga_pedigree): void
    {
        $this->rga_pedigree = $rga_pedigree;
    }

    /**
     * @return mixed
     */
    public function getDoado()
    {
        return $this->doado;
    }

    /**
     * @param mixed $doado
     */
    public function setDoado($doado): void
    {
        $this->doado = $doado;
    }
}